/*
 * @Author: Kane
 * @Date: 2023-01-23 22:56:17
 * @LastEditors: Kane
 * @LastEditTime: 2023-01-23 22:56:25
 * @FilePath: \AdminSys\src\main\java\com\cpic\xim\web\controllers\FileUpload\FileUploadResult.java
 * @Description: 
 * 
 * Copyright (c) ${2022} by Kane, All Rights Reserved. 
 */

package com.cpic.xim.web.controllers.FileUpload;

import java.util.Vector;
import com.fasterxml.jackson.annotation.JsonProperty;

@SuppressWarnings( "unused" )
public class FileUploadResult
{
    public FileUploadResult()
    {}

    public boolean isSuccess()
    {
        return success;
    }

    public void setSuccess( boolean success )
    {
        this.success = success;
    }

    public String getMessage()
    {
        return message;
    }

    public void setMessage( String message )
    {
        this.message = message;
    }

    public Vector<String> getFileList()
    {
        return fileList;
    }

    public void setFileList( Vector<String> fileList )
    {
        this.fileList = fileList;
    }

    @JsonProperty( "success" )
    private boolean success;

    @JsonProperty( "message" )
    private String message;

    @JsonProperty( "file-list" )
    private Vector<String> fileList;
}

